package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 支付设备类型
 *
 * @author xufeng
 * @date 2022/6/16 18:07
 */
@Getter
@AllArgsConstructor
public enum PayDeviceEnum {
    PC(1, "pc", "Pc端支付"),
    H5(2, "h5", "Wap端支付"),
    APP(3, "app", "App支付"),
    MP(4, "mp", "小程序");

    private Integer code;

    private String name;

    private String desc;

    String getSqlCode(Integer code) {
        return "," + code + ",";
    }
}
